Distribution:   CCux
Packager:	Karsten Brockmann <arcam[at]ccux-linux.de>

Summary: 	GTK bindings for libexif
Name:		libexif-gtk
Version:	0.3.5
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://sourceforge.net/projects/libexif
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
Patch0:		libexif-gtk-0.3.5-confcheck.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	libX11-devel
BuildRequires:  libXrender-devel
BuildRequires:  atk-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  libexif-devel
BuildRequires:  expat-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  gtk2+-devel
BuildRequires:  pango-devel
BuildRequires:  libpng-devel
BuildRequires:  zlib-devel

%description
GTK bindings for libexif

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p0

%build
autoconf
./configure --prefix=%_prefix
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/*.so*
%_datadir/locale

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Mar 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.3.5-1
- initial release
